classification
Title: SQLite FTS (full text search)
Type: enhancement Stage: resolved
Components: Build, Windows Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: loewis, mark, python-dev, steve.dower, tshepang, zach.ware
Priority: normal Keywords:

Created on 2014-01-23 14:39 by mark, last changed 2016-09-05 23:20 by python-dev. This issue is now closed.

Messages (5)
msg208946 - (view) Author: Mark Summerfield (mark) * Date: 2014-01-23 14:39
This is a feature request that future versions of SQLite 3 that are bundled with Python 3 in the Windows binary packages (.msi files) has been build with the FTS4 (full text search version 4) enabled.
msg222672 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-10 14:44
"SQLite FTS3 and FTS4 Extensions" here http://www.sqlite.org/fts3.html
msg222727 - (view) Author: Mark Summerfield (mark) * Date: 2014-07-11 05:56
Just to mention that I don't need this feature anymore since I've now switched to using APSW which includes it and also has much fuller SQLite support than the sqlighe3 module. (I haven't closed it though since other people have participated in some way.)
See http://rogerbinns.github.io/apsw/index.html
msg274439 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-09-05 21:41
The Mac installer includes FTS in its SQLite build, so we should match it on Windows.  I just updated the SQLite version for Windows, so now's a good time to do this.
msg274465 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-05 23:20
New changeset d52f10a0f10d by Zachary Ware in branch 'default':
Closes #20366: Build full text search support into SQLite on Windows
https://hg.python.org/cpython/rev/d52f10a0f10d
History
Date User Action Args
2016-09-05 23:20:02python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg274465

resolution: fixed
stage: needs patch -> resolved
2016-09-05 21:51:12BreamoreBoysetnosy: - BreamoreBoy
2016-09-05 21:41:52zach.waresetstatus: closed -> open
versions: + Python 3.6, - Python 3.4, Python 3.5
messages: + msg274439

resolution: wont fix -> (no value)
stage: resolved -> needs patch
2015-07-24 18:18:09zach.waresetresolution: wont fix
stage: resolved
2015-07-24 18:11:31marksetstatus: open -> closed
2014-07-11 05:56:49marksetmessages: + msg222727
2014-07-10 14:44:11BreamoreBoysetnosy: + BreamoreBoy, steve.dower
messages: + msg222672
2014-01-27 04:20:00tshepangsetnosy: + tshepang
2014-01-23 17:25:34ned.deilysetcomponents: + Build, Windows, - Extension Modules
2014-01-23 17:25:04ned.deilysetnosy: + loewis, zach.ware
2014-01-23 14:39:10markcreate